Bug 963417 - pigeonhole/sieve version 0.4.0 or greater is needed with dovecot 2.2.1
pigeonhole/sieve version 0.4.0 or greater is needed with dovecot 2.2.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 14:40 EDT by Trever Adams
Modified: 2013-05-24 16:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: dovecot-2.2.1-4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-24 16:48:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
There are new files to be packages, maybe a slight clean up as well. (2.02 KB, patch)
2013-05-15 16:38 EDT, Trever Adams
no flags Details | Diff

  None (edit)
Description Trever Adams 2013-05-15 14:40:34 EDT
Description of problem:
sieve scripts will NOT run properly with < 0.4.0 of pigeonhole with 2.2.1 dovecot (not sure where the problem starts, but it does exists there)

Version-Release number of selected component (if applicable):
dovecot-2.2.1-2.fc19.x86_64
dovecot-pigeonhole-2.2.1-2.fc19.x86_64

How reproducible:
Every time

Additional info:

On 5/15/2013 5:25 PM, Trever L. Adams wrote:
> On 05/15/2013 09:18 AM, Timo Sirainen wrote:
>> What do you get in logs with auth_debug=yes and mail_debug=yes?
> with auth_debug=yes and mail_debug=yes

This looks like a rather old version of Pigeonhole (pre-release v0.4).

Due to the following change a Pigeonhole version should be logged when mail_debug is enabled:

http://hg.rename-it.nl/dovecot-2.2-pigeonhole/rev/44721c50833e

I see nothing like that in your logs, so you're running something older.

This change is probably what fixes your trouble:

http://hg.rename-it.nl/dovecot-2.2-pigeonhole/rev/f43c7609497c

From the package name you provided I cannot tell which version (or rather hg revision) of Pigeonhole you are running. The  released v0.4.0 should work.

Regards,

Stephan.
Comment 1 Trever Adams 2013-05-15 16:30:32 EDT
http://hg.rename-it.nl/dovecot-2.2-pigeonhole/rev/04ad3c2f0765 has a revision that will work.

I will provide a diff for the spec file (there are a few changes) in a few minutes.
Comment 2 Trever Adams 2013-05-15 16:38:49 EDT
Created attachment 748475 [details]
There are new files to be packages, maybe a slight clean up as well.
Comment 3 Fedora Update System 2013-05-16 07:24:02 EDT
dovecot-2.2.1-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dovecot-2.2.1-4.fc19
Comment 4 Fedora Update System 2013-05-16 13:22:17 EDT
Package dovecot-2.2.1-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dovecot-2.2.1-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8351/dovecot-2.2.1-4.fc19
then log in and leave karma (feedback).
Comment 5 Trever Adams 2013-05-17 13:44:03 EDT
This works for me perfectly. Thank you.
Comment 6 Fedora Update System 2013-05-24 16:48:53 EDT
dovecot-2.2.1-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.